Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.results
Class NumericalResult

    java.lang.Object
      de.jstacs.results.Result
          de.jstacs.results.SimpleResult
              de.jstacs.results.NumericalResult

All Implemented Interfaces:
  Storable, Comparable<SimpleResult>

    public class NumericalResult

extends SimpleResult

Class for numerical `Result` values. Possible data types are the numerical data types of `DataType`.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.SimpleResult
`result`

Fields inherited from class de.jstacs.results.Result
`comment, datatype, name`

Constructor Summary
`NumericalResult(StringBuffer representation)` The standard constructor for the interface `Storable`.
`NumericalResult(String name, String comment, double result)` The simplified constructor for the primitive type `double`.
`NumericalResult(String name, String comment, int result)` The simplified constructor for the primitive type `int`.
`NumericalResult(String name, String comment, Integer result)` The simplified constructor for the type `Integer`.
`NumericalResult(String name, String comment, long result)` The simplified constructor for the primitive type `long`.

Method Summary
`protected void` | `fromXML(StringBuffer representation)` This method is used in `Result.Result(StringBuffer)` to extract the information.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.results.SimpleResult
`compareTo, equals, getResult`

Methods inherited from class de.jstacs.results.Result
`appendMainInfo, checkDatatype, createResult, extractMainInfo, getComment, getDatatype, getName, isCastableResult, isComparableResult`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericalResult

    public NumericalResult(StringBuffer representation)
                    throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `NumericalResult` from its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` `representation` could not be parsed

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           double result)

  The simplified constructor for the primitive type `double`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           int result)

  The simplified constructor for the primitive type `int`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           Integer result)

  The simplified constructor for the type `Integer`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           long result)

  The simplified constructor for the primitive type `long`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `SimpleResult`
  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `Result`
  This method is used in `Result.Result(StringBuffer)` to extract the information. The method can be seen as opposite of `Storable.toXML()` and should not be made public.

  Overrides:
    `fromXML` in class `SimpleResult`
  Parameters:
    `representation` - the XML represenation of the `Result` to be parsed
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `Result.extractMainInfo(StringBuffer)`

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD